# $Revision: 1.10 $, $Date: 2006/02/17 21:40:43 $
%define		_serv_ver	0.2.2
%define		_mserv	bomberclonemserv-%{_serv_ver}
Summary:	Clone of the game AtomicBomberMan
Summary(pl):	Klon gry AtomicBomberMan
Name:		bomberclone
Version:	0.11.6
Release:	2
License:	GPL v2
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/bomberclone/%{name}-%{version}.tar.bz2
# Source0-md5:	9d5febdaa71ecac525cc4ff4b54d0d58
Source1:	http://dl.sourceforge.net/bomberclone/%{_mserv}.tgz
# Source1-md5:	40bbe14055010e7fcf11c6bfd4e4c006
Source2:	%{name}.desktop
Patch0:		%{name}-fix-kaboom.patch
Patch1:		%{name}mserv-include.patch
URL:		http://www.bomberclone.de/
BuildRequires:	SDL_image-devel >= 1.2
BuildRequires:	SDL_mixer-devel >= 1.2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Clone of the game AtomicBomberMan. It supports multiplayer over the
Internet.

%description -l pl
Klon gry AtomicBomberMan wspierajcy gr z kilkoma graczami w
Internecie.

%package master_server
Summary:	Master server for BomberClone
Summary(pl):	Gwny serwer dla BomberClone'a
Group:		X11/Applications/Games

%description master_server
The BomberCloneMasterServer holds a list of all active running games.
Other players can so easy join a running game by selecting the game
from join menu.

%description master_server -l pl
BomberCloneMasterServer jest gwnym serwerem, ktry przechowuje
wszystkie aktywne gry. Inni gracze mog w prosty sposb przyczy si
do toczcej si gry poprzez wskazanie jej w menu.

%prep
%setup -q -a1
%patch0 -p1
cd %{_mserv}
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

cd %{_mserv}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/games}
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{_mserv}/src/bomberclonemserv \
	$RPM_BUILD_ROOT%{_bindir}

cp -f $RPM_BUILD_ROOT%{_datadir}/games/%{name}/gfx/logo.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/games/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%files master_server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bomberclonemserv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log: bomberclone.spec,v $
Revision 1.10  2006/02/17 21:40:43  psz
- security fix: GLSA 200602-09
- STBR

Revision 1.9  2005/04/03 15:54:36  darekr
- updated to 0.11.6

Revision 1.8  2004/12/27 16:10:01  adamg
- updated to 0.11.5

Revision 1.7  2004/12/14 08:38:17  adamg
- updated to 0.11.4

Revision 1.6  2004/11/30 13:40:24  paladine
- removed duplicated BR automake and redundant BR SDL-devel
- sorted BRs
- cosmetics

Revision 1.5  2004/06/16 17:55:25  yogib
- updated to 0.11.3

Revision 1.4  2004/02/28 10:31:36  undefine
- copy config.sub, release 2

Revision 1.3  2004/02/09 20:48:18  yogib
- rel 1

Revision 1.2  2004/02/08 11:32:30  yogib
- added master server, nearly finished

Revision 1.1  2004/02/08 09:48:40  yogib
- added, nfy

